Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Static Public Member Functions
ICOORDELT Class Reference

`#include <points.h>`

Inheritance diagram for ICOORDELT:

List of all members.

## Public Member Functions

| ICOORDELT ()
| empty constructor
| ICOORDELT (ICOORD icoord)
| constructor from ICOORD
| ICOORDELT (inT16 xin, inT16 yin)
Public Member Functions inherited from ELIST_LINK
| ELIST_LINK ()
| ELIST_LINK (const ELIST_LINK &)
void | operator= (const ELIST_LINK &)
Public Member Functions inherited from ICOORD
| ICOORD ()
| empty constructor
| ICOORD (inT16 xin, inT16 yin)
| ~ICOORD ()
| destructor
inT16 | x () const
| access function
inT16 | y () const
| access_function
void | set_x (inT16 xin)
| rewrite function
void | set_y (inT16 yin)
| rewrite function
void | set_with_shrink (int x, int y)
| Set from the given x,y, shrinking the vector to fit if needed.
float | sqlength () const
| find sq length
float | length () const
| find length
float | pt_to_pt_sqdist (const ICOORD &pt) const
| sq dist between pts
float | pt_to_pt_dist (const ICOORD &pt) const
| Distance between pts.
float | angle () const
| find angle
BOOL8 | operator== (const ICOORD &other) const
| test equality
BOOL8 | operator!= (const ICOORD &other) const
| test inequality
void | rotate (const FCOORD &vec)
void | setup_render (ICOORD *major_step, ICOORD *minor_step, int *major, int *minor) const
bool | Serialize (FILE *fp) const
bool | DeSerialize (bool swap, FILE *fp)

## Static Public Member Functions

static ICOORDELT * | deep_copy (const ICOORDELT *src)

## Additional Inherited Members

Protected Attributes inherited from ICOORD
inT16 | xcoord
inT16 | ycoord

## Detailed Description

Definition at line 161 of file points.h.

## Constructor & Destructor Documentation

ICOORDELT::ICOORDELT | ( |  | ) |

inline

empty constructor

Definition at line 166 of file points.h.

{
}

ICOORDELT::ICOORDELT | ( | ICOORD | icoord | ) |

inline

constructor from ICOORD

Definition at line 169 of file points.h.

:ICOORD (icoord) {
}

ICOORDELT::ICOORDELT | ( | inT16 | xin,
|  | inT16 | yin
| ) |  |

inline

constructor

Parameters:

  xin | x value
  yin | y value

Definition at line 174 of file points.h.

{
xcoord = xin;
ycoord = yin;
}

## Member Function Documentation

static ICOORDELT* ICOORDELT::deep_copy | ( | const ICOORDELT * | src | ) |

inlinestatic

Definition at line 180 of file points.h.

{
ICOORDELT* elt = new ICOORDELT;
*elt = *src;
return elt;
}

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/ccstruct/points.h